krb5plugin_an2ln_ftable_desc Struct Reference
Heimdal Kerberos 5 support functions

Description of the krb5_aname_to_lname(3) plugin facility. More...

`#include <an2ln_plugin.h>`

## Detailed Description

Description of the krb5_aname_to_lname(3) plugin facility.

The krb5_aname_to_lname(3) function is pluggable. The plugin is named KRB5_PLUGIN_AN2LN ("an2ln"), with a single minor version, KRB5_PLUGIN_AN2LN_VERSION_0 (0).

The plugin for krb5_aname_to_lname(3) consists of a data symbol referencing a structure of type krb5plugin_an2ln_ftable, with four fields:

Parameters

  init | Plugin initialization function (see krb5-plugin(7))
  minor_version | The plugin minor version number (0)
  fini | Plugin finalization function
  an2ln | Plugin aname_to_lname function

The an2ln field is the plugin entry point that performs the traditional aname_to_lname operation however the plugin desires. It is invoked in no particular order relative to other an2ln plugins, but it has a 'rule' argument that indicates which plugin is intended to act on the rule. The plugin an2ln function must return KRB5_PLUGIN_NO_HANDLE if the rule is not applicable to it.

The plugin an2ln function has the following arguments, in this order:

1. plug_ctx, the context value output by the plugin's init function
2. context, a krb5_context
3. rule, the aname_to_lname rule being evaluated (from krb5.conf(5))
4. aname, the krb5_principal to be mapped to an lname
5. set_res_f, a function the plugin must call to set its result
6. set_res_ctx, the first argument to set_res_f (the second is the result lname string)

The documentation for this struct was generated from the following file:

- /home/jaltman/src/sourdough-waffles/lib/krb5/an2ln_plugin.h